## volume volume |

## Properties

gboolean | mute | Read / Write
gdouble | volume | Read / Write

## Types and Values

struct | GstVolume

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstAudioFilter
                            ╰── GstVolume

## Implemented Interfaces

GstVolume implements GstStreamVolume.

## Description

The volume element changes the volume of the audio data.

#### Example launch line

    1
    gst-launch-1.0 -v -m audiotestsrc ! volume volume=0.5 ! level ! fakesink silent=TRUE

This pipeline shows that the level of audiotestsrc has been halved (peak values are around -6 dB and RMS around -9 dB) compared to the same pipeline without the volume element.

## Synopsis

### Element Information

plugin | volume
author | Andy Wingo <wingo@pobox.com>
class | Filter/Effect/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ F32LE, F64LE, S8, S16LE, S24LE, S32LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string)interleaved

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ F32LE, F64LE, S8, S16LE, S24LE, S32LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string)interleaved

## Functions

## Types and Values

### struct GstVolume

    struct GstVolume;

Opaque data structure.

## Property Details

### The `“mute”` property

      “mute”                     gboolean

mute channel.

Flags: Read / Write

Default value: FALSE

### The `“volume”` property

      “volume”                   gdouble

volume factor, 1.0=100%.

Flags: Read / Write

Allowed values: [0,10]

Default value: 1